
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#



# CMF
from Products.CMFCore import CMFCorePermissions

#from Products.Archetypes.Field import ScalableImage
from Products.Archetypes.Marshall import PrimaryFieldMarshaller

from config import *


try:
    from Products.LinguaPlone.public import *
    print "LinguaPlone support"
except ImportError:
    from Products.Archetypes.public import *
    print "No LinguaPlone support"

"""
ATPhotoAlbum.py: really simple content type using OrderedBaseFolder schema
"""

schema = Schema((

   
    #ReferenceField(
    #    'cover',
    #    languageIndependent=True,
    #    relationship="coverof",
    #        ),

    ))

class ATPhotoAlbum(BaseFolder):
    """ AT Photo album
    """


    archetype_name = 'ATPhotoAlbum'
    content_icon   = 'folder_icon.gif'
    typeDescription= ("Using this form, you can enter details about the image, \n"
                      "and upload an image if required.")
    typeDescMsgId  = 'description_edit_image'
    
    schema = BaseFolderSchema + schema

    factory_type_information = {
        'allow_discussion': 0,
        'immediate_view': 'base_view',
        'global_allow': 1,
        }
        
    actions = (
                { 'id': 'view',
                  'name': 'View',
                  'action': 'string:${object_url}/photoalbum_view',
                  'permissions': (CMFCorePermissions.View,),
                  'category':'object',
                  },    
               )


registerType(ATPhotoAlbum)
